Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X GET "https://api.box.com/2.0/retention_policies" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"entries": [
{
"id": "12345",
"type": "retention_policy",
"policy_name": "Some Policy Name",
"retention_length": "365",
"disposition_action": "permanently_delete",
"max_extension_length": "365",
"description": "Policy to retain all reports for at least one month",
"policy_type": "finite",
"retention_type": "non_modifiable",
"status": "active",
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00",
"can_owner_extend_retention": false,
"are_owners_notified": false,
"custom_notification_recipients": [
{
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
}
],
"assignment_counts": {
"enterprise": 1,
"folder": 1,
"metadata_template": 1
}
}
],
"limit": 1000,
"next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
}会社のすべてのリテンションポリシーを取得します。
curl -i -X GET "https://api.box.com/2.0/retention_policies" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"entries": [
{
"id": "12345",
"type": "retention_policy",
"policy_name": "Some Policy Name",
"retention_length": "365",
"disposition_action": "permanently_delete",
"max_extension_length": "365",
"description": "Policy to retain all reports for at least one month",
"policy_type": "finite",
"retention_type": "non_modifiable",
"status": "active",
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00",
"can_owner_extend_retention": false,
"are_owners_notified": false,
"custom_notification_recipients": [
{
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
}
],
"assignment_counts": {
"enterprise": 1,
"folder": 1,
"metadata_template": 1
}
}
],
"limit": 1000,
"next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
指定したプレフィックスを持つリテンションポリシー名のみに結果を絞り込みます。このフィルタでは大文字と小文字が区別されます。
指定したタイプのリテンションポリシーのみに結果を絞り込みます。
finite, indefinite ポリシーを作成したユーザーのIDのみに結果を絞り込みます。
レスポンスに含める属性のコンマ区切りリスト。このパラメータを使用すると、標準のレスポンスには通常含まれないフィールドをリクエストできます。
このパラメータを指定すると、明示的に指定しない限り標準フィールドはレスポンスに含まれず、リクエストしたフィールドのほかには、Mini版の表示のフィールドしか返されないことに注意してください。
返す項目の1ページあたりの最大数。
x <= 1000結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。
企業のリテンションポリシーのリストを返します。
このページは役に立ちましたか?